Bug 129184 - trouble building projects from eclipse.org
Summary: trouble building projects from eclipse.org
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: JDT (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-04 21:10 UTC by Aaron Luchko
Modified: 2016-05-03 13:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-03 13:34:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aaron Luchko 2004-08-04 21:10:50 UTC
Description of problem: Getting a message.
"
[Fatal Error] :1:1: Content is not allowed in prolog.
"
on the console along with some things in the log when trying to build
some projects from eclipse.org


Version-Release number of selected component (if applicable):
eclipse-jdt-3.0.0-22

How reproducible:
always

Steps to Reproduce:
1. Add cvs repository :pserver:anonymous@dev.eclipse.org:/home/eclipse.
2. Checkout the following plugins: org.apache.ant, org.apache.xerces,
org.eclipse.ant.core, org.eclipse.core.boot, org.eclipse.core.runtime.
  
Actual results: When it does the automatic build you end up with 
"
[Fatal Error] :1:1: Content is not allowed in prolog.
"
on the console and a log consisting of
"
!SESSION Aug 04, 2004 17:04:32.172
---------------------------------------------
eclipse.buildId=200406251208
java.fullversion=J2RE 1.4.2 IBM build cxppc321420-20040626 (JIT
enabled: jitc)
BootLoader constants: OS=linux, ARCH=ppc, WS=gtk, NL=en_US

!ENTRY org.eclipse.team.cvs.core 2 0 Aug 04, 2004 17:04:32.173
!MESSAGE CVS file /org.eclipse.core.runtime/schema/contentTypes.exsd
either contains invalid line endings on the server (CR/LF instead of
just LF) or is a binary file that is not marked as -kb.

!ENTRY org.eclipse.team.cvs.core 2 0 Aug 04, 2004 17:04:32.224
!MESSAGE CVS file /org.eclipse.core.runtime/schema/products.exsd
either contains invalid line endings on the server (CR/LF instead of
just LF) or is a binary file that is not marked as -kb.
"


Expected results:  No "Fatal Error" and no log


Additional info:  Should investigate if this exists in eclipse.org and
report there if it does.

Comment 1 Jeff Pound 2004-08-06 15:22:17 UTC
Same error occurrs on x86 and ia64 as well. This only seems to happen
with the IBM JVM, not BEA. (1.4.2)

Comment 3 Alexander Kurtakov 2016-05-03 13:34:00 UTC
Developer Suite is out of support, CVS has been deprecated upstream and build system changed - aka everything. Closing.


Note You need to log in before you can comment on or make changes to this bug.